You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: branches/2014Q2/devel/ml-doc/Makefile 340722 
2014-01-22 17:00:46Z mat $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/91i386-quarterly/2014-05-28_01h04m39s/logs/ml-doc-2.0_1.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/91i386-quarterly/2014-05-28_01h04m39s
Log:

====>> Building devel/ml-doc
build started at Wed May 28 19:22:24 UTC 2014
port directory: /usr/ports/devel/ml-doc
building for: FreeBSD 91i386-quarterly-job-14 9.1-RELEASE-p13 FreeBSD 
9.1-RELEASE-p13 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: branches/2014Q2/devel/ml-doc/Makefile 340722 
2014-01-22 17:00:46Z mat $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 901000

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE-p13
UNAME_r=9.1-RELEASE-p13
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/91i386-quarterly/ref
PKG_EXT=txz
tpid=97247
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=ml-doc-2.0_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/91i386-quarterly/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/91i386-quarterly/ref/poudriere/pool
MASTERNAME=91i386-quarterly
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for ml-doc-2.0_1:
     LATEX=off: Install LaTeX if necessary (needed for pdf output)
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
SMLNJ_DEVEL=yes TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
DATADIR=/usr/local/share/ml-doc SMLNJ_DEVEL=yes TMPDIR="/tmp" TMPDIR="/tmp" 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.1
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/ml-doc"
EXAMPLESDIR="share/examples/ml-doc"
DATADIR="share/ml-doc"
WWWDIR="www/ml-doc"
ETCDIR="etc/ml-doc"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/ml-doc
DOCSDIR=/usr/local/share/doc/ml-doc
EXAMPLESDIR=/usr/local/share/examples/ml-doc
WWWDIR=/usr/local/www/ml-doc
ETCDIR=/usr/local/etc/ml-doc
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for ml-doc-2.0_1
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   ml-doc-2.0_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7.txz
Installing pkg-1.2.7... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of ml-doc-2.0_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by ml-doc-2.0_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by ml-doc-2.0_1 for building
=> SHA256 Checksum OK for ml-doc.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by ml-doc-2.0_1 for building
===>  Extracting for ml-doc-2.0_1
=> SHA256 Checksum OK for ml-doc.tgz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for ml-doc-2.0_1
===>  Applying FreeBSD patches for ml-doc-2.0_1
===========================================================================
=======================<phase: build-depends  >============================
===>   ml-doc-2.0_1 depends on package: smlnj-devel>=110.71 - not found
pkg-static: No package(s) matching smlnj-devel
===>    Verifying install for smlnj-devel>=110.71 in 
/usr/ports/lang/sml-nj-devel
===>   Installing existing package /packages/All/smlnj-devel-110.71.txz
Installing smlnj-devel-110.71...cannot open config-init: No such file or 
directory
multiexec-wrapper: config-init of /usr/local/etc/multiexec-wrapper.conf failed.
pkg-static: POST-INSTALL script failed
 done
===>   Returning to build of ml-doc-2.0_1
===>   ml-doc-2.0_1 depends on executable: nsgmls - not found
===>    Verifying install for nsgmls in /usr/ports/textproc/jade
===>   Installing existing package /packages/All/jade-1.2.1_9.txz
Installing jade-1.2.1_9...Installing xmlcatmgr-2.2... + Creating 
/usr/local/share/sgml/catalog
 + Registering CATALOG catalog.ports (SGML)
 + Creating /usr/local/share/sgml/catalog.ports
 + Creating /usr/local/share/xml/catalog
 + Registering nextCatalog catalog.ports (XML)
 + Creating /usr/local/share/xml/catalog.ports
 done
 done
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
===>   Returning to build of ml-doc-2.0_1
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for ml-doc-2.0_1
configure: loading site script /usr/ports/Templates/config.site
checking checking prefix directory... /usr/local
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking for sml... no
configure: error: must have SML/NJ installed
===>  Script "configure" failed unexpectedly.
Please report the problem to po...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/devel/ml-doc/work/ml-doc/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/devel/ml-doc.
===>  Cleaning for ml-doc-2.0_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to